Update build_dmg.sh

This commit is contained in:
Alexander David Frick 2022-06-06 15:56:36 -07:00 committed by GitHub
parent 78ed38feb5
commit 3e8eebe42a
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -3,12 +3,16 @@
# Copyright (c) 2022 Alex313031 and Midzer.
YEL='\033[1;33m' # Yellow
RED='\033[1;31m' # Red
GRE='\033[1;32m' # Green
c0=$'\033[0m' # Reset Text
bold=$'\033[1m' # Bold Text
underline=$'\033[4m' # Underline Text
# Error handling
yell() { echo "$0: $*" >&2; }
die() { yell "$*"; exit 111; }
try() { "$@" || die "Failed $*"; }
try() { "$@" || die "${RED}Failed $*"; }
printf "\n" &&
printf "${YEL}Building .dmg of Thorium...\n" &&
@ -27,5 +31,5 @@ chrome/installer/mac/pkg-dmg \
--volname Thorium --symlink /Applications:/Applications \
--format UDBZ --verbosity 2 &&
printf "${YEL}.DMG Build Completed. Installer at //out/thorium/thorium*.dmg\n" &&
printf "${GRE}.DMG Build Completed. ${YEL}Installer at //out/thorium/thorium*.dmg\n" &&
tput sgr0 &&